<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PrivacySettingRelayAllCalls extends \Google\Protobuf\Internal\Message
{
    


    protected $isEnabled = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsEnabled()
    {
        return isset($this->isEnabled) ? $this->isEnabled : false;
    }

    public function hasIsEnabled()
    {
        return isset($this->isEnabled);
    }

    public function clearIsEnabled()
    {
        unset($this->isEnabled);
    }

    




    public function setIsEnabled($var)
    {
        GPBUtil::checkBool($var);
        $this->isEnabled = $var;

        return $this;
    }

}

